class KSSLCertificateCache

# class KSSLCertificateCache |
Definition | `#include <ksslcertificatecache.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum KSSLCertificatePolicy { Unknown, Reject, Accept, Prompt, Ambiguous }

#### Public Methods

- KSSLCertificateCache ()
- ~KSSLCertificateCache ()
- void addCertificate (KSSLCertificate& cert, KSSLCertificatePolicy policy, bool permanent = true)
- KSSLCertificatePolicy getPolicyByCN (QString& cn)
- KSSLCertificatePolicy getPolicyByCertificate (KSSLCertificate& cert)
- bool seenCN (QString& cn)
- bool seenCertificate (KSSLCertificate& cert)
- bool removeByCN (QString& cn)
- bool removeByCertificate (KSSLCertificate& cert)
- bool isPermanent (KSSLCertificate& cert)
- bool modifyByCN (QString& cn, KSSLCertificateCache::KSSLCertificatePolicy policy, bool permanent, QDateTime& expires)
- bool modifyByCertificate (KSSLCertificate& cert, KSSLCertificateCache::KSSLCertificatePolicy policy, bool permanent, QDateTime& expires)
- QStringList getHostList (KSSLCertificate& cert)
- bool addHost (KSSLCertificate& cert, QString& host)
- bool removeHost (KSSLCertificate& cert, QString& host)
- void reload ()
- void saveToDisk ()

## Detailed Description

enum KSSLCertificatePolicy { Unknown, Reject, Accept, Prompt, Ambiguous } | ### KSSLCertificatePolicy

KSSLCertificateCache () | ### KSSLCertificateCache

~KSSLCertificateCache () | ### ~KSSLCertificateCache

void addCertificate (KSSLCertificate& cert, KSSLCertificatePolicy policy, bool permanent = true) | ### addCertificate

KSSLCertificatePolicy getPolicyByCN (QString& cn) | ### getPolicyByCN

KSSLCertificatePolicy getPolicyByCertificate (KSSLCertificate& cert) | ### getPolicyByCertificate

bool seenCN (QString& cn) | ### seenCN

bool seenCertificate (KSSLCertificate& cert) | ### seenCertificate

bool removeByCN (QString& cn) | ### removeByCN

bool removeByCertificate (KSSLCertificate& cert) | ### removeByCertificate

bool isPermanent (KSSLCertificate& cert) | ### isPermanent

bool modifyByCN (QString& cn, KSSLCertificateCache::KSSLCertificatePolicy policy, bool permanent, QDateTime& expires) | ### modifyByCN

bool modifyByCertificate (KSSLCertificate& cert, KSSLCertificateCache::KSSLCertificatePolicy policy, bool permanent, QDateTime& expires) | ### modifyByCertificate

QStringList getHostList (KSSLCertificate& cert) | ### getHostList

bool addHost (KSSLCertificate& cert, QString& host) | ### addHost

bool removeHost (KSSLCertificate& cert, QString& host) | ### removeHost

void reload () | ### reload

void saveToDisk () | ### saveToDisk

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:37:09 2003, using kdoc 2.0a54.